# $Revision: 1.60 $, $Date: 2006/12/25 12:46:18 $
#
# Conditional build
%bcond_without	server	# without server
%bcond_without	tools	# without tools
#
Summary:	Strategy game with a fantasy theme
Summary(pl):	Strategiczna gra z motywem fantasy
Name:		wesnoth
Version:	1.2
Release:	1
License:	GPL v2+
Group:		X11/Applications/Games/Strategy
Source0:	http://www.wesnoth.org/files/%{name}-%{version}.tar.gz
# Source0-md5:	722a459282abe6d04dbe228d031c088e
Source1:	%{name}.desktop
Source2:	%{name}d.init
Patch0:		%{name}-Makefile.patch
Patch1:		%{name}-locale_dir.patch
URL:		http://www.wesnoth.org/
BuildRequires:	SDL-devel >= 1.2.7
BuildRequires:	SDL_image-devel >= 1.2
BuildRequires:	SDL_mixer-devel >= 1.2
BuildRequires:	SDL_net-devel >= 1.2
BuildRequires:	SDL_ttf-devel >= 2.0
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	zipios++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Battle for Wesnoth is a fantasy strategy game. Battle for control of
villages, using variety of units which have advantages and
disadvantages in different types of terrains and against different
types of attacks. Units gain experience and advance levels, and are
carried over from one scenario to the next campaign.

%description -l pl
Battle for Wesnoth jest strategiczn gr fantasy. Batalia o kontrol
nad wsiami przy pomocy rnego rodzaju oddziaw, ktre maj przewag
lub jej brak w odmiennym uksztatowaniu terenu i przeciwko rnym
sposobom ataku. Oddziay zdobywaj dowiadczenie i poziomy
zaawansowania i s przenoszone z jednej scenerii do nastpnej
kampanii.

%package server
Summary:	Network server for Wesnoth
Summary(pl):	Sieciowy serwer dla Wesnoth
Group:		X11/Applications/Games/Strategy
Requires(post,preun):	/sbin/chkconfig

%description server
Server for playing networked games of Wesnoth.

%description server -l pl
Serwer do prowadzenia sieciowych gier Wesnoth.

%package tools
Summary:	Tools for Wesnoth
Summary(pl):	Narzdzia dla Wesnoth
Group:		X11/Applications/Games/Strategy
Requires:	%{name} = %{version}-%{release}

%description tools
Map editor and translations tools.

%description tools -l pl
Edytor map i narzdzia do tumacze.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_server:--enable-server} \
	%{?with_tools:--enable-editor} \
	%{?with_tools:--enable-tools} \
	--with-zipios
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir},/var/run/wesnothd,/etc/rc.d/init.d}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install images/wesnoth-icon.png $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/wesnothd

mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{gl_ES,gl}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{nb_NO,nb} 

rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/ca_ES@valencia

# unsupported(?)
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/la

# the same as manuals from %{_mandir}/man?
rm -rf $RPM_BUILD_ROOT%{_mandir}/en_GB

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post server
/sbin/chkconfig --add wesnothd
%service wesnothd restart

%preun server
if [ "$1" = "0" ]; then
	%service wesnothd stop
	/sbin/chkconfig --del wesnothd
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc changelog README MANUAL*
%attr(755,root,root) %{_bindir}/wesnoth
%attr(755,root,root) %{_bindir}/wmlxgettext
%{_mandir}/man6/wesnoth.6*
%lang(de) %{_mandir}/de/man6/wesnoth.6*
%lang(cs) %{_mandir}/cs/man6/wesnoth.6*
%lang(fr) %{_mandir}/fr/man6/wesnoth.6*
%lang(ja) %{_mandir}/ja/man6/wesnoth.6*
%lang(nl) %{_mandir}/nl/man6/wesnoth.6*
%lang(pt_BR) %{_mandir}/pt_BR/man6/wesnoth.6*
%lang(sk) %{_mandir}/sk/man6/wesnoth.6*
%lang(sv) %{_mandir}/sv/man6/wesnoth.6*
%{_datadir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/*

%if %{with server}
%files server
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/wesnothd
%attr(754,root,root) /etc/rc.d/init.d/wesnothd
%{_mandir}/man6/wesnothd.6*
%lang(cs) %{_mandir}/cs/man6/wesnothd.6*
%lang(de) %{_mandir}/de/man6/wesnothd.6*
%lang(fr) %{_mandir}/fr/man6/wesnothd.6*
%lang(ja) %{_mandir}/ja/man6/wesnothd.6*
%lang(nl) %{_mandir}/nl/man6/wesnothd.6*
%lang(pt_BR) %{_mandir}/pt_BR/man6/wesnothd.6*
%lang(sk) %{_mandir}/sk/man6/wesnothd.6*
%lang(sv) %{_mandir}/sv/man6/wesnothd.6*
%dir /var/run/wesnothd
%endif

%if %{with tools}
%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/cutter
%attr(755,root,root) %{_bindir}/exploder
%attr(755,root,root) %{_bindir}/wesnoth_editor
%{_mandir}/man6/wesnoth_editor.6*
%lang(cs) %{_mandir}/cs/man6/wesnoth_editor.6*
%lang(de) %{_mandir}/de/man6/wesnoth_editor.6*
%lang(fr) %{_mandir}/fr/man6/wesnoth_editor.6*
%lang(it) %{_mandir}/it/man6/wesnoth_editor.6*
%lang(ja) %{_mandir}/ja/man6/wesnoth_editor.6*
%lang(nl) %{_mandir}/nl/man6/wesnoth_editor.6*
%lang(pt_BR) %{_mandir}/pt_BR/man6/wesnoth_editor.6*
%lang(sk) %{_mandir}/sk/man6/wesnoth_editor.6*
%lang(sv) %{_mandir}/sv/man6/wesnoth_editor.6*
%endif

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wesnoth.spec,v $
Revision 1.60  2006/12/25 12:46:18  megabajt
- fixed locale names and removed unsupported(?) la and ca_ES@valencia locale
- removed manuals from %{_mandir}/en_GB (the same as manuals from %{_mandir}/man?)
- use %service

Revision 1.59  2006/12/25 00:57:26  lisu
- more man pages added

Revision 1.58  2006/12/24 12:50:37  lisu
- 1.2
- new patch added (now we can choose languages)

Revision 1.57  2006/12/17 10:53:01  lisu
- 1.1.14

Revision 1.56  2006/12/01 15:42:38  shadzik
- 1.1.13

Revision 1.55  2006/11/23 18:39:08  shadzik
- kill useless R

Revision 1.54  2006/11/19 20:53:21  lisu
- 1.1.12
- License changed to GPL v2+
- STBR

Revision 1.53  2006/10/15 08:59:49  jareq
- update to 1.1.11

Revision 1.52  2006/10/08 11:45:19  lisu
- up to 1.1.10
- %%find_lang added
- new mans added

Revision 1.51  2006/08/07 10:48:25  qboosh
- BR: ac,am,gt,lt; no libtoolize (system libtool used directly)

Revision 1.50  2006/07/29 22:17:44  jackass
 - up to 1.1.7 by Micha 'lisu' Lisowski <lisu87 (at) gmail.com>

Revision 1.49  2006/01/21 00:01:17  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.48  2005/12/07 11:49:55  zboczuch
- up to 1.0.2

Revision 1.47  2005/10/23 12:12:37  freetz
- 1.0.1, BR: zipios++-devel

Revision 1.46  2005/10/06 17:01:19  domelu
- updated to 1.0

Revision 1.45  2005/09/11 09:13:45  adamg
- updated to 0.9.7

Revision 1.44  2005/08/29 07:52:52  aredridel
- up to 0.9.6

Revision 1.43  2005/08/21 20:24:36  adamg
- add missing /var/run/wesnothd dir
- release 2

Revision 1.42  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.41  2005/07/25 20:19:50  adamg
- updated to 0.9.4

Revision 1.40  2005/05/03 18:25:34  darekr
- fixed URL

Revision 1.39  2005/03/23 17:18:07  glen
- dropped SourceX-size

Revision 1.38  2005/02/25 00:28:06  aniolek
- updated to 0.8.11

Revision 1.37  2005/02/06 16:30:33  yogib
- updated to 0.8.10

Revision 1.36  2005/02/01 22:07:31  yogib
- updated to 0.8.9

Revision 1.35  2004/12/05 19:20:11  yogib
- updated to 0.8.8

Revision 1.34  2004/11/06 09:01:04  yogib
- updated to 0.8.7

Revision 1.33  2004/10/08 15:36:41  ankry
- formatting

Revision 1.32  2004/10/08 14:48:28  snurf
- it builds on other machine and works, it seems, that my machine is dying
- rel 1, STBR for Ac

Revision 1.31  2004/10/08 14:26:53  snurf
- fixed typos in pl desc

Revision 1.30  2004/10/08 12:57:32  snurf
- trying to update to 0.8.5, NFY
- waiting for gcc (?) miagician

Revision 1.29  2004/09/12 07:31:02  yogib
- updated to 0.8.4

Revision 1.28  2004/08/30 00:43:55  havner
- 0.8.3

Revision 1.27  2004/08/15 11:01:28  yogib
- updated to 0.8.2

Revision 1.26  2004/08/03 19:33:16  yogib
- updated to 0.8.1

Revision 1.25  2004/07/04 21:57:05  qboosh
- BR: libstdc++-devel

Revision 1.24  2004/07/04 21:28:20  yogib
- updated to 0.8

Revision 1.23  2004/06/30 19:13:25  yogib
- updated to 0.7.11

Revision 1.22  2004/06/28 19:11:22  yogib
- updated to 0.7.10

Revision 1.21  2004/06/13 14:32:20  yogib
- added init script for wesnothd server

Revision 1.20  2004/06/12 15:07:37  yogib
- updated to 0.7.9, BR: SDL-devel >= 1.2.7

Revision 1.19  2004/05/28 18:03:54  yogib
- updated to 0.7.8

Revision 1.18  2004/05/20 18:33:02  yogib
- updated to 0.7.7

Revision 1.17  2004/05/07 18:02:32  yogib
- updated to 0.7.6

Revision 1.16  2004/04/25 10:18:29  yogib
- updated to 0.7.5

Revision 1.15  2004/04/18 16:05:57  yogib
- updated to 0.7.3

Revision 1.14  2004/04/08 21:38:01  adamg
- uncommented Icon field

Revision 1.13  2004/04/08 20:44:40  adamg
- updated to 0.7.2

Revision 1.12  2004/04/08 19:25:22  yogib
- updated to 0.7.2

Revision 1.11  2004/04/04 14:31:14  yogib
- updated to 0.7.1

Revision 1.10  2004/03/22 22:09:52  adamg
- updated to 0.7

Revision 1.9  2004/03/10 23:19:17  troll
- fixed BR: and R:

Revision 1.8  2004/02/21 15:46:31  yogib
- 0.6.99.4

Revision 1.7  2004/02/14 07:52:42  yogib
- 0.6.99.3

Revision 1.6  2004/02/04 19:57:30  yogib
- 0.6.99.2

Revision 1.5  2004/01/29 19:25:15  yogib
- updated to 0.6.99.1

Revision 1.4  2003/12/20 12:49:04  qboosh
- unifications (no need to bcond preambles, don't force gzipped manuals)

Revision 1.3  2003/12/19 21:06:07  yogib
- pl translations

Revision 1.2  2003/12/19 16:46:23  pzurowski
- %%{name} in Icon is not subsituted... (BTW, why?)

Revision 1.1  2003/12/18 23:25:49  yogib
- initial version
